org.apache.felix.jaas

## Interface LoginModuleFactory

    @ConsumerType
    public interface LoginModuleFactory

A factory for creating `LoginModule` instances.

### Field Summary

Fields
`static String` `JAAS_CONTROL_FLAG` Property name specifying whether or not a `LoginModule` is REQUIRED, REQUISITE, SUFFICIENT or OPTIONAL.
`static String` `JAAS_RANKING` Property name specifying the ranking (i.e.
`static String` `JAAS_REALM_NAME` Property name specifying the Realm name (or application name) against which the LoginModule would be registered.

### Method Summary

All Methods Instance Methods Abstract Methods
`LoginModule` `createLoginModule()` Creates the LoginModule instance

### Field Detail

#### JAAS_CONTROL_FLAG

    static final String JAAS_CONTROL_FLAG

Property name specifying whether or not a `LoginModule` is REQUIRED, REQUISITE, SUFFICIENT or OPTIONAL. Refer to `Configuration` for more details around the meaning of these flags By default the value is set to REQUIRED

See Also:
  Constant Field Values

#### JAAS_REALM_NAME

    static final String JAAS_REALM_NAME

Property name specifying the Realm name (or application name) against which the LoginModule would be registered.

If no realm name is provided then LoginModule would registered with a default realm as configured

See Also:
  Constant Field Values

#### JAAS_RANKING

    static final String JAAS_RANKING

Property name specifying the ranking (i.e. sort order) of the configured login module entries. The entries are sorted in a descending order (i.e. higher value ranked configurations come first)

Since:
  1.0.1 (bundle version 0.0.2)
See Also:
  Constant Field Values

### Method Detail

#### createLoginModule

    LoginModule createLoginModule()

Creates the LoginModule instance

Returns:
  loginModule instance